Package com.avaya.clientservices.media

## Class DSCPPrecedenceConfiguration

- java.lang.Object
- - com.avaya.clientservices.media.DSCPPrecedenceConfiguration

-     public class DSCPPrecedenceConfiguration
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DSCPPrecedenceConfiguration.DSCPPrecedenceType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSCPPrecedenceConfiguration​(int dscpRoutine, int dscpPriority, int dscpImmediate, int dscpFlash, int dscpFlashOverride)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DSCPPrecedenceConfiguration` | `createDefaultConfig​(DSCPPrecedenceConfiguration.DSCPPrecedenceType type)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `getDSCPFlash()` |
    `int` | `getDSCPFlashOverride()` |
    `int` | `getDSCPImmediate()` |
    `int` | `getDSCPPriority()` |
    `int` | `getDSCPRoutine()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSCPPrecedenceConfiguration

          public DSCPPrecedenceConfiguration​(int dscpRoutine,
                                             int dscpPriority,
                                             int dscpImmediate,
                                             int dscpFlash,
                                             int dscpFlashOverride)

  - ### Method Detail

    - #### createDefaultConfig

          public static DSCPPrecedenceConfiguration createDefaultConfig​(DSCPPrecedenceConfiguration.DSCPPrecedenceType type)

    - #### getDSCPRoutine

          public int getDSCPRoutine()

    - #### getDSCPPriority

          public int getDSCPPriority()

    - #### getDSCPImmediate

          public int getDSCPImmediate()

    - #### getDSCPFlash

          public int getDSCPFlash()

    - #### getDSCPFlashOverride

          public int getDSCPFlashOverride()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`